Last modified: 2013-10-29 07:39:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 49889 - Remove ULS from ml.wiktionary
Remove ULS from ml.wiktionary
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
wmf-deployment
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: community-consensus-needed, i18n
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2013-06-20 16:33 UTC by vssun
Modified: 2013-10-29 07:39 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Comment 1 Andre Klapper 2013-06-20 21:39:23 UTC
As far as I know, Narayam will not be deployed anymore and is unmaintained now (there will be no fixes if something breaks), so this sounds like a WONTFIX.

Somebody should instead extract the specific criticism out of the discussion, and if issues are well-defined they should be turned into specific bug reports, so ULS can be improved instead to fulfil the needs of the Malayalam community.

sunil, could you do that?
Comment 2 Andre Klapper 2013-06-20 21:43:15 UTC
By the way, for any configuration change, local consensus would be required. See https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes .
Comment 3 vssun 2013-06-21 02:18:05 UTC
Please see bug 49515

User Dvellakkat, one of the very few editors at ml.wiktionary, is saying about the same problem at the discussion.

Narayam may be an out-of-development extention. But it does not have such bugs.So please re-enable it first and install only after it become stable.
Comment 4 Siebrand Mazeland 2013-06-21 08:19:22 UTC
Narayam is end of life. It has been replaced by UniversalLanguageSelector.

If there are specific functional issues that need to be resolved in ULS that were not present in Narayam, please report them in actionable, separate bugs, one problem or enhancement request per issue. Thanks.

This request is denied per above reason. I am closing it as WONTFIX.
Comment 5 vssun 2013-06-23 03:07:15 UTC
It is so strange that you are not even taking up the bug/problem that faced by users by implementing ULS and forcing users to use the buggy extension.
Comment 6 vssun 2013-06-23 04:05:44 UTC
Since we are about to implement the IME at local level, Please just remove ULS Extension from ml.wiktionary.
Comment 7 Andre Klapper 2013-06-24 04:09:13 UTC
sunil: You have been told already which way to go: "If there are specific functional issues that need to be resolved in ULS that were not present in Narayam, please report them in actionable, separate bugs, one problem or enhancement request per issue." 
Repeating "forcing users to use the buggy extension" and keeping criticism intentionally vague is not the way how to improve things and be constructive.

It's been written before that Narayam will not be reinstalled. I am closing this bug report again. Do NOT reopen this report but instead please file helpful and constructive bug reports to fix the issues that you face with ULS. See https://www.mediawiki.org/wiki/How_to_report_a_bug . Thanks.
Comment 8 vssun 2013-06-24 15:56:25 UTC
I am not asking here to reinstall Narayam. Just remove ULS as it is not required by the users of the project.
Comment 9 Andre Klapper 2013-06-25 09:45:26 UTC
So I guess we can all agree that we are after improved user experience instead of worse user experience.

So it would be great to know the specific technical issues that the Malayalam Wiktionary community faces with ULS. 
We'd gladly welcome well-defined and clear bug reports with good steps to reproduce problems (see https://www.mediawiki.org/wiki/How_to_report_a_bug ).
However switching off ULS completely for Malayalam Wiktionary is not planned as it's currently considered more helpful than harmful. 
If it's clear that *specific* aspects of ULS are more harmful than helpful, well-defined actions can be taken (e.g. fixing or disabling a specific webfont or keymapping). Again, this should be in a good bug report that *explains* a *specific* issue.

Hence I'm closing this as WONTFIX again, the way to improve things are fixing
the specific issues that you face with ULS used. 
Please do not reopen this again as a sign of disagreement, but I encourage you
to help the developers fix the issues with ULS.
Comment 10 Andre Klapper 2013-06-25 10:22:54 UTC
(In reply to comment #9)
> However switching off ULS completely for Malayalam Wiktionary is not planned
> as it's currently considered more helpful than harmful. 

Errm, of course that was meant to read "more harmful than helpful". Sorry.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links